AppAIGatewayDocs
API referenceAdmin organizations

Get the caller's identity, current organization and role

GET
/v1/admin/session

The console needs the caller's role and active organization to gate its UI; the sign-in session endpoint reports neither.

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/session"
{  "session": {    "user": {      "id": "string",      "name": "string",      "email": "string",      "kind": "human",      "emailVerified": true,      "image": "string",      "createdAt": "string"    },    "organization": {      "id": "string",      "name": "string",      "createdAt": "string",      "claimed": true,      "expiresAt": "string"    },    "role": "owner",    "memberships": [      {        "organization": {          "id": "string",          "name": "string",          "createdAt": "string",          "claimed": true,          "expiresAt": "string"        },        "role": "owner",        "status": "active",        "joinedAt": "string"      }    ],    "credentialType": "session",    "assurance": "interactive",    "actor": {      "type": "user",      "id": "string",      "kind": "human",      "credentialId": "string",      "actionSource": "string"    }  }}